# Uses of Enum Class
org.bukkit.block.data.type.Jigsaw.Orientation

Packages that use Jigsaw.Orientation
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Jigsaw.Orientation in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Jigsaw.Orientation
Modifier and Type
Method
Description
`@NotNull Jigsaw.Orientation`
Jigsaw.`getOrientation()`
Gets the value of the 'orientation' property.
`static Jigsaw.Orientation`
Jigsaw.Orientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Jigsaw.Orientation[]`
Jigsaw.Orientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Jigsaw.Orientation
Modifier and Type
Method
Description
`void`
Jigsaw.`setOrientation(@NotNull Jigsaw.Orientation orientation)`
Sets the value of the 'orientation' property.